Bug 102716 - boot oops and hang on T23
boot oops and hang on T23
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-08-20 05:04 EDT by Luming Yu
Modified: 2015-01-04 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-10 23:44:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
override ECDT and workaround for the oops (814 bytes, patch)
2003-08-20 05:17 EDT, Luming Yu
no flags Details | Diff

  None (edit)
Description Luming Yu 2003-08-20 05:04:47 EDT
Description of problem:
Unable to handle kernel paging request at virtual address 80388274
EIP is at acpi_os_read_memory

Version-Release number of selected component (if applicable):

How reproducible:
boot kernel with ACPI enabled on IBM ThinkPad T23

Steps to Reproduce:
1. Override ECDT  ( http://www.poupinou.org/acpi/ibm_ecdt.html)
2. Build kernel
3. reboot
Actual results:
Kernel oops with after message "Initializing RT netlink socket" and hang.

Expected results:
boot up 

Additional info:
Comment 1 Luming Yu 2003-08-20 05:17:04 EDT
Created attachment 93775 [details]
override ECDT and workaround for the oops

This patch includes:
1. override ECDT ( from http://www.poupinou.org/acpi/ibm_ecdt.html)
2. workaround for the oops.

The virtual address 80388274 causes oops is calculated by
c0388274 + c0000000 = (1)80388274 

I'm investigating who pass the c0388274 as physical address to
Comment 2 Dave Jones 2004-11-19 20:58:46 EST
still a problem with current release ?

Note You need to log in before you can comment on or make changes to this bug.